"use strict";

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _toConsumableArray2 = require("babel-runtime/helpers/toConsumableArray");

var _toConsumableArray3 = _interopRequireDefault(_toConsumableArray2);

var _stringify = require("babel-runtime/core-js/json/stringify");

var _stringify2 = _interopRequireDefault(_stringify);

var _classCallCheck2 = require("babel-runtime/helpers/classCallCheck");

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require("babel-runtime/helpers/createClass");

var _createClass3 = _interopRequireDefault(_createClass2);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function (pathToStatic, manifest) {
	return function () {
		function CoreJsMiddleware() {
			(0, _classCallCheck3.default)(this, CoreJsMiddleware);
		}

		(0, _createClass3.default)(CoreJsMiddleware, [{
			key: "getSystemScripts",
			value: function getSystemScripts(next) {
				var routeName = this.getRequest().getRouteName();
				var baseUrl = pathToStatic || "/";

				var scripts = [];

				// read out the chunkmap so that the client code knows how to download the
				// other chunks.
				scripts.push({
					type: "text/javascript",
					text: "window.webpackManifest = " + (0, _stringify2.default)(manifest.jsChunksById) + ";"
				});

				scripts.push("" + baseUrl + manifest.jsChunksByName.common);
				scripts.push("" + baseUrl + manifest.jsChunksByName[routeName]);

				return [].concat(scripts, [{
					type: "text/javascript",
					text: "\n\t\t\t\t\t\tif (typeof window !== \"undefined\") {\n\t\t\t\t\t\t\tif (window.__setReactServerBase) {\n\t\t\t\t\t\t\t\twindow.__setReactServerBase(" + (0, _stringify2.default)(baseUrl) + ");\n\t\t\t\t\t\t\t}\n\t\t\t\t\t\t\twindow.__reactServerManifest = " + (manifest ? (0, _stringify2.default)(manifest) : "{}") + ";\n\t\t\t\t\t\t}\n\t\t\t\t\t\t"
				}], (0, _toConsumableArray3.default)(next()));
			}
		}]);
		return CoreJsMiddleware;
	}();
};