"use strict";

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _toConsumableArray2 = require("babel-runtime/helpers/toConsumableArray");

var _toConsumableArray3 = _interopRequireDefault(_toConsumableArray2);

var _classCallCheck2 = require("babel-runtime/helpers/classCallCheck");

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require("babel-runtime/helpers/createClass");

var _createClass3 = _interopRequireDefault(_createClass2);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function (pathToStatic, manifest) {
	return function () {
		function CoreCssMiddleware() {
			(0, _classCallCheck3.default)(this, CoreCssMiddleware);
		}

		(0, _createClass3.default)(CoreCssMiddleware, [{
			key: "getHeadStylesheets",
			value: function getHeadStylesheets(next) {
				var routeName = this.getRequest().getRouteName();
				var baseUrl = pathToStatic || (typeof window !== "undefined" ? window.__reactServerBase : "/");
				manifest = manifest || (typeof window !== "undefined" ? window.__reactServerManifest : {});

				if (!manifest || !manifest.cssChunksByName) {
					throw new Error("No webpack manifest found while trying to find CSS files.");
				}

				var fileNames = [];

				if (manifest.cssChunksByName.common) {
					fileNames.push(baseUrl + manifest.cssChunksByName.common);
				}

				if (manifest.cssChunksByName[routeName]) {
					fileNames.push(baseUrl + manifest.cssChunksByName[routeName]);
				}

				return [].concat(fileNames, (0, _toConsumableArray3.default)(next()));
			}
		}]);
		return CoreCssMiddleware;
	}();
};